# Define the date format
$dateFormat = "dd/MM/yyyy hh:mm:ss"

# Prompt the user to enter a date
$userInput = Read-Host "Enter the date of the first image as dd/mm/yyyy hh:mm:ss (e.g., 22/01/2025 15:15:00)"

# Try to parse the user input
try {
    $date = [datetime]::ParseExact($userInput, $dateFormat, $null)
}
catch {
    Write-Output "$userInput is not in the expected date format."
    Write-Output "It needs to be dd/mm/yyyy hh:mm:ss (note 24 hour format)."
    Write-Output "For example, Jan 22 2025 3:15pm would be 22/01/2025 15:15:00"
    exit 1
}

# Change the minutes value to the actual time interval between your images
# If the time interval is in seconds rather than minutes, then 
# - replace $minutes with $seconds, 
# - change $date.AddMinutes($minutes) to $date = $date.AddSeconds($seconds)
$minutes = 10
Write-Host Dates for the following files were changed:
foreach($file in Get-ChildItem *.jpg)
{
	Write-Host $file.Name -> $date
	$(Get-Item $file.Fullname).CreationTime=$date
        $(Get-Item $file.Fullname).LastWriteTime=$date
	$date = $date.AddMinutes($minutes )
}
